
local T, C, L, G = unpack(Tukui)



-----------------------------------------------------------------------
-- SETUP TUKUI CHATS
-----------------------------------------------------------------------

local function SetTabStyle( frame )
local id = frame:GetID()
local chat = frame:GetName()
local tab = _G[chat .. "Tab"]

_G[chat .. "TabText"]:Show()

tab:HookScript("OnEnter", function() _G[chat .. "TabText"]:Show() end )
tab:HookScript("OnLeave", function() _G[chat .. "TabText"]:Show() end )

_G[chat .. "TabText"]:SetShadowOffset(0,0)
_G[chat .. "TabText"].SetTextColor = T.dummy
_G[chat]:SetShadowOffset(T.mult, -T.mult)

_G[chat .. "EditBox"]:ClearAllPoints()
_G[chat .. "EditBox"]:Point( "TOPLEFT", G.Panels.LeftChatTabsBackground, 2, -2 )
_G[chat .. "EditBox"]:Point( "BOTTOMRIGHT", G.Panels.LeftChatTabsBackground, -2, 2 )
end

local function SetupChatStyle( self )
for i = 1, NUM_CHAT_WINDOWS do
local frame = _G[format( "ChatFrame%s", i )]
SetTabStyle( frame )
end
end

TukuiChat:HookScript( "OnEvent", function( self, event, ... )
for i = 1, NUM_CHAT_WINDOWS do
local chat = _G[format( "ChatFrame%s", i )]
SetupChatStyle( chat )
end
end )

BNToastFrame:HookScript( "OnShow", function( self )
self:ClearAllPoints()
self:Point( "BOTTOMLEFT", TukuiInfoRight, "TOPLEFT", 0, 6)
self:SetTemplate("Transparent")
end )

T.SetDefaultChatPosition = function( frame )
if( frame ) then
local id = frame:GetID()
local name = FCF_GetChatWindowInfo( id )
local fontSize = select( 2, frame:GetFont() )

if( fontSize < 12 ) then
FCF_SetChatWindowFontSize( nil, frame, 15 )
else
FCF_SetChatWindowFontSize( nil, frame, 15 )
end

if( id == 1 ) then
frame:Size(360,80)
frame:ClearAllPoints()
frame:Point( "TOPLEFT", TukuiChatBackgroundLeft, "TOPLEFT", 3, -25 )
frame:Point( "BOTTOMRIGHT", TukuiChatBackgroundLeft , "BOTTOMRIGHT", 0, 3 )
elseif( id == 4 and name == LOOT ) then
if( not frame.isDocked ) then
frame:Size(368,80)
frame:ClearAllPoints()
frame:Point( "TOPLEFT", TukuiChatBackgroundRight, "TOPLEFT", 3, -25 )
frame:Point( "BOTTOMRIGHT", TukuiChatBackgroundRight, "BOTTOMRIGHT", -3, 3 )
frame:SetJustifyH( "RIGHT" )
end
end

if( not frame.isLocked ) then
FCF_SetLocked( frame, 1 )
end
end
end
hooksecurefunc( "FCF_RestorePositionAndDimensions", T.SetDefaultChatPosition )

--Edit the chat frames. 
if C.chat.background == true then

TukuiChatBackgroundLeft:SetFrameStrata("Background")
TukuiChatBackgroundLeft:Height(140)
TukuiTabsLeftBackground:SetTemplate("Transparent")
TukuiChatBackgroundLeft:Width(370)
TukuiChatBackgroundLeft:Point("BOTTOMLEFT", UIParent, "BOTTOMLEFT", 35, 15)


TukuiTabsLeftBackground:StripTextures()
TukuiTabsRightBackground:StripTextures()


TukuiChatBackgroundRight:SetFrameStrata("Background")
TukuiChatBackgroundRight:Height(140)
TukuiChatBackgroundRight:Width(370)
TukuiChatBackgroundRight:ClearAllPoints()
TukuiChatBackgroundRight:Point("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", -35, 15)


end

